import request from '@/utils/request'

//获取产品分类列表
export function listProduct(query) {
  return request({
    url: '/product/cpid-info/page',
    method: 'get',
    params: query
  })
}

//新增商品分类
export function addProduct(params) {
  return request({
    url: "product/cpid-info/create",
    method: 'post',
    data: params
  })
}
//删除商品分类
export function delProduct(params) {
  return request({
    url: '/product/cpid-info/delete',
    method: 'delete',
    params
  })
}
//编辑一条数据
export function editProduct(params) {
  return request({
    url: '/product/cpid-info/update',
    method: 'put',
    data: params
  })
}
